Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Main

Description

Agda main module.

Synopsis

- runAgda :: TCM ()
- runAgdaWithOptions :: TCM () -> String -> CommandLineOptions -> TCM ()
- printUsage :: IO ()
- printVersion :: IO ()
- optionError :: String -> IO ()
- runTCMPrettyErrors :: TCM () -> IO ()
- main :: IO ()

# Documentation

runAgda :: TCM () #

The main function

runAgdaWithOptions #

Arguments

:: TCM () | HTML generating action
-> String | program name
-> CommandLineOptions | parsed command line options
-> TCM () |

Run Agda with parsed command line options and with a custom HTML generator

printUsage :: IO () #

Print usage information.

printVersion :: IO () #

Print version information.

optionError :: String -> IO () #

What to do for bad options.

runTCMPrettyErrors :: TCM () -> IO () #

Run a TCM action in IO; catch and pretty print errors.

main :: IO () #

Main